import { ComponentID } from '@teambit/component-id';
import { ModuleSchema } from './schemas';
import { SchemaLocation, SchemaNode } from './schema-node';
export declare class APISchema extends SchemaNode {
    readonly location: SchemaLocation;
    readonly module: ModuleSchema;
    readonly internals: ModuleSchema[];
    readonly componentId: ComponentID;
    readonly taggedModuleExports: SchemaNode[];
    constructor(location: SchemaLocation, module: ModuleSchema, internals: ModuleSchema[], componentId: ComponentID, taggedModuleExports?: SchemaNode[]);
    listTaggedExports(module?: ModuleSchema): SchemaNode[];
    toString(): string;
    toStringPerType(): string;
    toFullSignature(options?: {
        showDocs?: boolean;
        showTitles?: boolean;
    }): string;
    private getReadableSectionName;
    listSignatures(): (string | undefined)[];
    toObject(): {
        module: {
            exports: Record<string, any>[];
            internals: Record<string, any>[];
            namespace: string | undefined;
        };
        internals: {
            exports: Record<string, any>[];
            internals: Record<string, any>[];
            namespace: string | undefined;
        }[];
        componentId: import("@teambit/component-id").ComponentIdObj;
        taggedModuleExports: Record<string, any>[];
    };
    static fromObject(obj: Record<string, any>): APISchema;
    static empty(componentId: ComponentID): APISchema;
}
