"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ArrayLiteralExpressionSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _schemaRegistry() {
  const data = require("../schema-registry");
  _schemaRegistry = function () {
    return data;
  };
  return data;
}
class ArrayLiteralExpressionSchema extends _schemaNode().SchemaNode {
  constructor(members, location) {
    super();
    this.members = members;
    this.location = location;
  }
  toObject() {
    return {
      ...super.toObject(),
      members: this.members.map(member => member.toObject()),
      location: this.location
    };
  }
  static fromObject(obj) {
    const members = obj.members.map(member => _schemaRegistry().SchemaRegistry.fromObject(member));
    return new ArrayLiteralExpressionSchema(members, obj.location);
  }
  toString() {
    return `[${this.members.join(', ')}]`;
  }
  toFullSignature(options) {
    const membersStr = this.members.map(member => member.toFullSignature(options)).join(', ');
    return `[${membersStr}]`;
  }
}
exports.ArrayLiteralExpressionSchema = ArrayLiteralExpressionSchema;

//# sourceMappingURL=array-literal-expression.js.map