import { SchemaLocation, SchemaNode } from '../schema-node';
/**
 * e.g. `T extends U ? Y : N`
 *
 */
export declare class ConditionalTypeSchema extends SchemaNode {
    readonly location: SchemaLocation;
    readonly checkType: SchemaNode;
    readonly extendsType: SchemaNode;
    readonly trueType: SchemaNode;
    readonly falseType: SchemaNode;
    constructor(location: SchemaLocation, checkType: SchemaNode, extendsType: SchemaNode, trueType: SchemaNode, falseType: SchemaNode);
    getNodes(): SchemaNode[];
    toString(): string;
    toFullSignature(options?: {
        showDocs?: boolean;
    }): string;
    toObject(): {
        checkType: Record<string, any>;
        extendsType: Record<string, any>;
        trueType: Record<string, any>;
        falseType: Record<string, any>;
    };
    static fromObject(obj: Record<string, any>): ConditionalTypeSchema;
}
