import { SchemaLocation, SchemaNode } from '../../schema-node';
import { TagName, TagSchema } from './tag';
export declare class DocSchema extends SchemaNode {
    readonly location: SchemaLocation;
    readonly raw: string;
    readonly comment?: string | undefined;
    readonly tags?: TagSchema[];
    constructor(location: SchemaLocation, raw: string, comment?: string | undefined, tags?: TagSchema[]);
    toString(): string;
    toFullSignature(): string;
    hasTag(tagName: TagName): boolean;
    findTag(tagName: TagName): TagSchema | undefined;
    toObject(): {
        __schema: string;
        name: string | undefined;
        location: SchemaLocation;
        signature: string | undefined;
        raw: string;
        comment: string | undefined;
        tags: {
            __schema: string;
            location: SchemaLocation;
            name: string | undefined;
            signature: string | undefined;
            tagName: string;
            comment: string | undefined;
        }[] | undefined;
    };
    static fromObject(obj: Record<string, any>): DocSchema;
}
