"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EnumMemberSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _docs() {
  const data = require("./docs");
  _docs = function () {
    return data;
  };
  return data;
}
class EnumMemberSchema extends _schemaNode().SchemaNode {
  constructor(location, name, signature, value, doc) {
    super();
    this.location = location;
    this.name = name;
    this.signature = signature;
    this.value = value;
    this.doc = doc;
  }
  toString() {
    if (!this.value) return this.name;
    return `${this.name}=${this.value}`;
  }
  toFullSignature(options) {
    let result = '';
    if (options?.showDocs && this.doc) {
      result += `${this.doc.toFullSignature()}\n`;
    }
    if (this.value !== undefined) {
      result += `${this.name} = ${this.value}`;
    } else {
      result += `${this.name}`;
    }
    return result;
  }
  toObject() {
    return {
      ...super.toObject(),
      name: this.name,
      signature: this.signature,
      value: this.value,
      doc: this.doc?.toObject()
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const name = obj.name;
    const signature = obj.signature;
    const value = obj.value;
    const doc = obj.doc ? _docs().DocSchema.fromObject(obj.doc) : undefined;
    return new EnumMemberSchema(location, name, signature, value, doc);
  }
}
exports.EnumMemberSchema = EnumMemberSchema;

//# sourceMappingURL=enum-member.js.map