"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  ModuleSchema: true,
  FunctionLikeSchema: true,
  TypeRefSchema: true,
  VariableLikeSchema: true,
  ClassSchema: true,
  ConstructorSchema: true,
  TypeSchema: true,
  TypeIntersectionSchema: true,
  TypeUnionSchema: true,
  TypeLiteralSchema: true,
  IndexSignatureSchema: true,
  InterfaceSchema: true,
  GetAccessorSchema: true,
  SetAccessorSchema: true,
  TypeQuerySchema: true,
  InferenceTypeSchema: true,
  LiteralTypeSchema: true,
  KeywordTypeSchema: true,
  TypeArraySchema: true,
  TypeOperatorSchema: true,
  TupleTypeSchema: true,
  ParameterSchema: true,
  EnumSchema: true,
  EnumMemberSchema: true,
  ParenthesizedTypeSchema: true,
  TypePredicateSchema: true,
  IndexedAccessSchema: true,
  TemplateLiteralTypeSchema: true,
  TemplateLiteralTypeSpanSchema: true,
  ThisTypeSchema: true,
  UnknownSchema: true,
  UnresolvedSchema: true,
  ConditionalTypeSchema: true,
  ExpressionWithTypeArgumentsSchema: true,
  NamedTupleSchema: true,
  UnImplementedSchema: true,
  ObjectLiteralExpressionSchema: true,
  ArrayLiteralExpressionSchema: true,
  PropertyAssignmentSchema: true,
  DecoratorSchema: true,
  LiteralValueSchema: true,
  IgnoredSchema: true,
  ExportSchema: true
};
Object.defineProperty(exports, "ArrayLiteralExpressionSchema", {
  enumerable: true,
  get: function () {
    return _arrayLiteralExpression().ArrayLiteralExpressionSchema;
  }
});
Object.defineProperty(exports, "ClassSchema", {
  enumerable: true,
  get: function () {
    return _class().ClassSchema;
  }
});
Object.defineProperty(exports, "ConditionalTypeSchema", {
  enumerable: true,
  get: function () {
    return _conditionalType().ConditionalTypeSchema;
  }
});
Object.defineProperty(exports, "ConstructorSchema", {
  enumerable: true,
  get: function () {
    return _constructor().ConstructorSchema;
  }
});
Object.defineProperty(exports, "DecoratorSchema", {
  enumerable: true,
  get: function () {
    return _decorator().DecoratorSchema;
  }
});
Object.defineProperty(exports, "EnumMemberSchema", {
  enumerable: true,
  get: function () {
    return _enumMember().EnumMemberSchema;
  }
});
Object.defineProperty(exports, "EnumSchema", {
  enumerable: true,
  get: function () {
    return _enum().EnumSchema;
  }
});
Object.defineProperty(exports, "ExportSchema", {
  enumerable: true,
  get: function () {
    return _export().ExportSchema;
  }
});
Object.defineProperty(exports, "ExpressionWithTypeArgumentsSchema", {
  enumerable: true,
  get: function () {
    return _expressionWithArguments().ExpressionWithTypeArgumentsSchema;
  }
});
Object.defineProperty(exports, "FunctionLikeSchema", {
  enumerable: true,
  get: function () {
    return _functionLike().FunctionLikeSchema;
  }
});
Object.defineProperty(exports, "GetAccessorSchema", {
  enumerable: true,
  get: function () {
    return _getAccessor().GetAccessorSchema;
  }
});
Object.defineProperty(exports, "IgnoredSchema", {
  enumerable: true,
  get: function () {
    return _ignored().IgnoredSchema;
  }
});
Object.defineProperty(exports, "IndexSignatureSchema", {
  enumerable: true,
  get: function () {
    return _indexSignature().IndexSignatureSchema;
  }
});
Object.defineProperty(exports, "IndexedAccessSchema", {
  enumerable: true,
  get: function () {
    return _indexedAccessType().IndexedAccessSchema;
  }
});
Object.defineProperty(exports, "InferenceTypeSchema", {
  enumerable: true,
  get: function () {
    return _inferenceType().InferenceTypeSchema;
  }
});
Object.defineProperty(exports, "InterfaceSchema", {
  enumerable: true,
  get: function () {
    return _interface().InterfaceSchema;
  }
});
Object.defineProperty(exports, "KeywordTypeSchema", {
  enumerable: true,
  get: function () {
    return _keywordType().KeywordTypeSchema;
  }
});
Object.defineProperty(exports, "LiteralTypeSchema", {
  enumerable: true,
  get: function () {
    return _literalType().LiteralTypeSchema;
  }
});
Object.defineProperty(exports, "LiteralValueSchema", {
  enumerable: true,
  get: function () {
    return _literalValue().LiteralValueSchema;
  }
});
Object.defineProperty(exports, "ModuleSchema", {
  enumerable: true,
  get: function () {
    return _module().ModuleSchema;
  }
});
Object.defineProperty(exports, "NamedTupleSchema", {
  enumerable: true,
  get: function () {
    return _namedTuple().NamedTupleSchema;
  }
});
Object.defineProperty(exports, "ObjectLiteralExpressionSchema", {
  enumerable: true,
  get: function () {
    return _objectLiteralExpression().ObjectLiteralExpressionSchema;
  }
});
Object.defineProperty(exports, "ParameterSchema", {
  enumerable: true,
  get: function () {
    return _parameter().ParameterSchema;
  }
});
Object.defineProperty(exports, "ParenthesizedTypeSchema", {
  enumerable: true,
  get: function () {
    return _parenthesizedType().ParenthesizedTypeSchema;
  }
});
Object.defineProperty(exports, "PropertyAssignmentSchema", {
  enumerable: true,
  get: function () {
    return _propertyAssignment().PropertyAssignmentSchema;
  }
});
Object.defineProperty(exports, "SetAccessorSchema", {
  enumerable: true,
  get: function () {
    return _setAccessor().SetAccessorSchema;
  }
});
Object.defineProperty(exports, "TemplateLiteralTypeSchema", {
  enumerable: true,
  get: function () {
    return _templateLiteralType().TemplateLiteralTypeSchema;
  }
});
Object.defineProperty(exports, "TemplateLiteralTypeSpanSchema", {
  enumerable: true,
  get: function () {
    return _templateLiteralTypeSpan().TemplateLiteralTypeSpanSchema;
  }
});
Object.defineProperty(exports, "ThisTypeSchema", {
  enumerable: true,
  get: function () {
    return _thisType().ThisTypeSchema;
  }
});
Object.defineProperty(exports, "TupleTypeSchema", {
  enumerable: true,
  get: function () {
    return _tupleType().TupleTypeSchema;
  }
});
Object.defineProperty(exports, "TypeArraySchema", {
  enumerable: true,
  get: function () {
    return _typeArray().TypeArraySchema;
  }
});
Object.defineProperty(exports, "TypeIntersectionSchema", {
  enumerable: true,
  get: function () {
    return _typeIntersection().TypeIntersectionSchema;
  }
});
Object.defineProperty(exports, "TypeLiteralSchema", {
  enumerable: true,
  get: function () {
    return _typeLiteral().TypeLiteralSchema;
  }
});
Object.defineProperty(exports, "TypeOperatorSchema", {
  enumerable: true,
  get: function () {
    return _typeOperator().TypeOperatorSchema;
  }
});
Object.defineProperty(exports, "TypePredicateSchema", {
  enumerable: true,
  get: function () {
    return _typePredicate().TypePredicateSchema;
  }
});
Object.defineProperty(exports, "TypeQuerySchema", {
  enumerable: true,
  get: function () {
    return _typeQuery().TypeQuerySchema;
  }
});
Object.defineProperty(exports, "TypeRefSchema", {
  enumerable: true,
  get: function () {
    return _typeRef().TypeRefSchema;
  }
});
Object.defineProperty(exports, "TypeSchema", {
  enumerable: true,
  get: function () {
    return _type().TypeSchema;
  }
});
Object.defineProperty(exports, "TypeUnionSchema", {
  enumerable: true,
  get: function () {
    return _typeUnion().TypeUnionSchema;
  }
});
Object.defineProperty(exports, "UnImplementedSchema", {
  enumerable: true,
  get: function () {
    return _unimplementedSchema().UnImplementedSchema;
  }
});
Object.defineProperty(exports, "UnknownSchema", {
  enumerable: true,
  get: function () {
    return _unknownSchema().UnknownSchema;
  }
});
Object.defineProperty(exports, "UnresolvedSchema", {
  enumerable: true,
  get: function () {
    return _unresolvedSchema().UnresolvedSchema;
  }
});
Object.defineProperty(exports, "VariableLikeSchema", {
  enumerable: true,
  get: function () {
    return _variableLike().VariableLikeSchema;
  }
});
function _module() {
  const data = require("./module");
  _module = function () {
    return data;
  };
  return data;
}
function _functionLike() {
  const data = require("./function-like");
  _functionLike = function () {
    return data;
  };
  return data;
}
function _typeRef() {
  const data = require("./type-ref");
  _typeRef = function () {
    return data;
  };
  return data;
}
function _variableLike() {
  const data = require("./variable-like");
  _variableLike = function () {
    return data;
  };
  return data;
}
function _class() {
  const data = require("./class");
  _class = function () {
    return data;
  };
  return data;
}
function _constructor() {
  const data = require("./constructor");
  _constructor = function () {
    return data;
  };
  return data;
}
function _type() {
  const data = require("./type");
  _type = function () {
    return data;
  };
  return data;
}
function _typeIntersection() {
  const data = require("./type-intersection");
  _typeIntersection = function () {
    return data;
  };
  return data;
}
function _typeUnion() {
  const data = require("./type-union");
  _typeUnion = function () {
    return data;
  };
  return data;
}
function _typeLiteral() {
  const data = require("./type-literal");
  _typeLiteral = function () {
    return data;
  };
  return data;
}
function _indexSignature() {
  const data = require("./index-signature");
  _indexSignature = function () {
    return data;
  };
  return data;
}
function _interface() {
  const data = require("./interface");
  _interface = function () {
    return data;
  };
  return data;
}
function _getAccessor() {
  const data = require("./get-accessor");
  _getAccessor = function () {
    return data;
  };
  return data;
}
function _setAccessor() {
  const data = require("./set-accessor");
  _setAccessor = function () {
    return data;
  };
  return data;
}
function _typeQuery() {
  const data = require("./type-query");
  _typeQuery = function () {
    return data;
  };
  return data;
}
function _inferenceType() {
  const data = require("./inference-type");
  _inferenceType = function () {
    return data;
  };
  return data;
}
function _literalType() {
  const data = require("./literal-type");
  _literalType = function () {
    return data;
  };
  return data;
}
function _keywordType() {
  const data = require("./keyword-type");
  _keywordType = function () {
    return data;
  };
  return data;
}
function _typeArray() {
  const data = require("./type-array");
  _typeArray = function () {
    return data;
  };
  return data;
}
function _typeOperator() {
  const data = require("./type-operator");
  _typeOperator = function () {
    return data;
  };
  return data;
}
function _tupleType() {
  const data = require("./tuple-type");
  _tupleType = function () {
    return data;
  };
  return data;
}
function _parameter() {
  const data = require("./parameter");
  _parameter = function () {
    return data;
  };
  return data;
}
function _enum() {
  const data = require("./enum");
  _enum = function () {
    return data;
  };
  return data;
}
function _enumMember() {
  const data = require("./enum-member");
  _enumMember = function () {
    return data;
  };
  return data;
}
function _parenthesizedType() {
  const data = require("./parenthesized-type");
  _parenthesizedType = function () {
    return data;
  };
  return data;
}
function _typePredicate() {
  const data = require("./type-predicate");
  _typePredicate = function () {
    return data;
  };
  return data;
}
function _indexedAccessType() {
  const data = require("./indexed-access-type");
  _indexedAccessType = function () {
    return data;
  };
  return data;
}
function _templateLiteralType() {
  const data = require("./template-literal-type");
  _templateLiteralType = function () {
    return data;
  };
  return data;
}
function _templateLiteralTypeSpan() {
  const data = require("./template-literal-type-span");
  _templateLiteralTypeSpan = function () {
    return data;
  };
  return data;
}
function _thisType() {
  const data = require("./this-type");
  _thisType = function () {
    return data;
  };
  return data;
}
function _unknownSchema() {
  const data = require("./unknown-schema");
  _unknownSchema = function () {
    return data;
  };
  return data;
}
function _unresolvedSchema() {
  const data = require("./unresolved-schema");
  _unresolvedSchema = function () {
    return data;
  };
  return data;
}
function _conditionalType() {
  const data = require("./conditional-type");
  _conditionalType = function () {
    return data;
  };
  return data;
}
function _expressionWithArguments() {
  const data = require("./expression-with-arguments");
  _expressionWithArguments = function () {
    return data;
  };
  return data;
}
function _namedTuple() {
  const data = require("./named-tuple");
  _namedTuple = function () {
    return data;
  };
  return data;
}
function _unimplementedSchema() {
  const data = require("./unimplemented-schema");
  _unimplementedSchema = function () {
    return data;
  };
  return data;
}
function _objectLiteralExpression() {
  const data = require("./object-literal-expression");
  _objectLiteralExpression = function () {
    return data;
  };
  return data;
}
function _arrayLiteralExpression() {
  const data = require("./array-literal-expression");
  _arrayLiteralExpression = function () {
    return data;
  };
  return data;
}
function _propertyAssignment() {
  const data = require("./property-assignment");
  _propertyAssignment = function () {
    return data;
  };
  return data;
}
function _decorator() {
  const data = require("./decorator");
  _decorator = function () {
    return data;
  };
  return data;
}
function _literalValue() {
  const data = require("./literal-value");
  _literalValue = function () {
    return data;
  };
  return data;
}
function _ignored() {
  const data = require("./ignored");
  _ignored = function () {
    return data;
  };
  return data;
}
function _export() {
  const data = require("./export");
  _export = function () {
    return data;
  };
  return data;
}
var _docs = require("./docs");
Object.keys(_docs).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _docs[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _docs[key];
    }
  });
});

//# sourceMappingURL=index.js.map