import { SchemaLocation, SchemaNode } from '../schema-node';
/**
 * where there is no explicit type, the type is taken from the "quickinfo" of tsserver
 */
export declare class InferenceTypeSchema extends SchemaNode {
    readonly location: SchemaLocation;
    readonly type: string;
    readonly name?: string | undefined;
    readonly defaultValue?: string | undefined;
    readonly isSpread?: boolean | undefined;
    readonly alias?: string | undefined;
    constructor(location: SchemaLocation, type: string, name?: string | undefined, defaultValue?: string | undefined, isSpread?: boolean | undefined, alias?: string | undefined);
    toString(): string;
    toFullSignature(): string;
    toObject(): {
        type: string;
        defaultValue: string | undefined;
        isSpread: boolean | undefined;
        alias: string | undefined;
    };
    static fromObject(obj: Record<string, any>): InferenceTypeSchema;
}
