import { SchemaLocation, SchemaNode } from '../schema-node';
import { DocSchema } from './docs';
import { ExpressionWithTypeArgumentsSchema } from './expression-with-arguments';
export declare class InterfaceSchema extends SchemaNode {
    readonly location: SchemaLocation;
    readonly name: string;
    readonly signature: string;
    readonly extendsNodes: ExpressionWithTypeArgumentsSchema[];
    readonly typeParams?: string[] | undefined;
    readonly members: SchemaNode[];
    readonly doc?: DocSchema;
    constructor(location: SchemaLocation, name: string, signature: string, extendsNodes: ExpressionWithTypeArgumentsSchema[], members: SchemaNode[], doc?: DocSchema, typeParams?: string[] | undefined);
    getNodes(): SchemaNode[];
    toString(options?: {
        color?: boolean;
    }): string;
    toFullSignature(options?: {
        showDocs?: boolean;
    }): string;
    toObject(): {
        name: string;
        members: Record<string, any>[];
        doc: {
            __schema: string;
            name: string | undefined;
            location: SchemaLocation;
            signature: string | undefined;
            raw: string;
            comment: string | undefined;
            tags: {
                __schema: string;
                location: SchemaLocation;
                name: string | undefined;
                signature: string | undefined;
                tagName: string;
                comment: string | undefined;
            }[] | undefined;
        } | undefined;
        signature: string;
        extendsNodes: {
            name: string;
            location: SchemaLocation;
            typeArgs: Record<string, any>[];
            expression: SchemaNode;
        }[];
        typeParams: string[] | undefined;
    };
    static fromObject(obj: Record<string, any>): InterfaceSchema;
}
