"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.KeywordTypeSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
/**
 * e.g. 'string', 'boolean', etc.
 */
class KeywordTypeSchema extends _schemaNode().SchemaNode {
  constructor(location, name) {
    super();
    this.location = location;
    this.name = name;
  }
  toString() {
    return this.name;
  }
  toFullSignature() {
    return this.toString();
  }
  toObject() {
    return {
      ...super.toObject(),
      name: this.name
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const name = obj.name;
    return new KeywordTypeSchema(location, name);
  }
}
exports.KeywordTypeSchema = KeywordTypeSchema;

//# sourceMappingURL=keyword-type.js.map