"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LiteralTypeSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
/**
 * e.g. const a: 'a';
 */
class LiteralTypeSchema extends _schemaNode().SchemaNode {
  constructor(location, name) {
    super();
    this.location = location;
    this.name = name;
  }
  toObject() {
    return {
      ...super.toObject(),
      name: this.name
    };
  }
  toString() {
    return this.name;
  }
  toFullSignature() {
    return this.toString();
  }
  static fromObject(obj) {
    const location = obj.location;
    const name = obj.name;
    return new LiteralTypeSchema(location, name);
  }
}
exports.LiteralTypeSchema = LiteralTypeSchema;

//# sourceMappingURL=literal-type.js.map