"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LiteralValueSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
class LiteralValueSchema extends _schemaNode().SchemaNode {
  constructor(location, value) {
    super();
    this.location = location;
    this.value = value;
    this.value = this.value.replace(/^['"]|['"]$/g, '');
  }
  toString() {
    return this.value;
  }
  toFullSignature() {
    return this.toString();
  }
  toObject() {
    return {
      ...super.toObject(),
      value: this.value
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const value = obj.value;
    return new LiteralValueSchema(location, value);
  }
}
exports.LiteralValueSchema = LiteralValueSchema;

//# sourceMappingURL=literal-value.js.map