"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NamedTupleSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _schemaRegistry() {
  const data = require("../schema-registry");
  _schemaRegistry = function () {
    return data;
  };
  return data;
}
class NamedTupleSchema extends _schemaNode().SchemaNode {
  constructor(location, type, name) {
    super();
    this.location = location;
    this.type = type;
    this.name = name;
  }
  getNodes() {
    return [this.type];
  }
  toString(options) {
    return `${this.name}: ${this.type.toString(options)}`;
  }
  toFullSignature(options) {
    return `${this.name}: ${this.type.toFullSignature(options)}`;
  }
  toObject() {
    return {
      ...super.toObject(),
      name: this.name,
      type: this.type.toObject()
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const type = _schemaRegistry().SchemaRegistry.fromObject(obj.type);
    const name = obj.name;
    return new NamedTupleSchema(location, type, name);
  }
}
exports.NamedTupleSchema = NamedTupleSchema;

//# sourceMappingURL=named-tuple.js.map