"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ObjectLiteralExpressionSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _schemaRegistry() {
  const data = require("../schema-registry");
  _schemaRegistry = function () {
    return data;
  };
  return data;
}
class ObjectLiteralExpressionSchema extends _schemaNode().SchemaNode {
  constructor(members, location) {
    super();
    this.members = members;
    this.location = location;
  }
  getNodes() {
    return this.members;
  }
  toString(options) {
    return `{\n${this.members.map(member => `\t${member.toString(options)}`).join('\n')}\n}`;
  }
  toFullSignature(options) {
    const membersStr = this.members.map(member => member.toFullSignature(options)).join(',\n');
    return `{\n${membersStr.split('\n').map(line => `  ${line}`).join('\n')}\n}`;
  }
  toObject() {
    return {
      ...super.toObject(),
      members: this.members.map(element => element.toObject()),
      location: this.location
    };
  }
  static fromObject(obj) {
    const members = obj.members.map(member => _schemaRegistry().SchemaRegistry.fromObject(member));
    const location = obj.location;
    return new ObjectLiteralExpressionSchema(members, location);
  }
}
exports.ObjectLiteralExpressionSchema = ObjectLiteralExpressionSchema;

//# sourceMappingURL=object-literal-expression.js.map