import { SchemaLocation, SchemaNode } from '../schema-node';
export declare class ParameterSchema<T extends SchemaNode = SchemaNode> extends SchemaNode {
    readonly location: SchemaLocation;
    readonly name: string;
    readonly isOptional: boolean;
    readonly defaultValue?: any | undefined;
    readonly description?: string | undefined;
    readonly isSpread: boolean;
    readonly type: T;
    readonly objectBindingNodes?: SchemaNode[];
    getNodes(): SchemaNode[];
    constructor(location: SchemaLocation, name: string, type: T, isOptional: boolean, defaultValue?: any | undefined, description?: string | undefined, objectBindingNodes?: SchemaNode[], isSpread?: boolean);
    toString(): string;
    toFullSignature(options?: {
        showDocs?: boolean;
    }): string;
    toObject(): {
        name: string;
        type: Record<string, any>;
        isOptional: boolean;
        defaultValue: any;
        description: string | undefined;
        objectBindingNodes: Record<string, any>[] | undefined;
        isSpread: boolean;
    };
    static fromObject<T extends SchemaNode = SchemaNode>(obj: Record<string, any>): ParameterSchema<T>;
}
