import { SchemaNode, SchemaLocation } from '../schema-node';
import { DocSchema } from './docs';
export declare class PropertyAssignmentSchema extends SchemaNode {
    readonly name: string;
    readonly value: SchemaNode;
    readonly location: SchemaLocation;
    readonly doc?: DocSchema | undefined;
    constructor(name: string, value: SchemaNode, location: SchemaLocation, doc?: DocSchema | undefined);
    toString(options?: {
        color?: boolean;
    }): string;
    toFullSignature(options?: {
        showDocs?: boolean;
    }): string;
    toObject(): {
        name: string;
        value: Record<string, any>;
        doc: {
            __schema: string;
            name: string | undefined;
            location: SchemaLocation;
            signature: string | undefined;
            raw: string;
            comment: string | undefined;
            tags: {
                __schema: string;
                location: SchemaLocation;
                name: string | undefined;
                signature: string | undefined;
                tagName: string;
                comment: string | undefined;
            }[] | undefined;
        } | undefined;
        location: SchemaLocation;
    };
    static fromObject(obj: Record<string, any>): PropertyAssignmentSchema;
}
