import { SchemaLocation, SchemaNode } from '../schema-node';
import { ParameterSchema } from './parameter';
export declare class SetAccessorSchema extends SchemaNode {
    readonly location: SchemaLocation;
    readonly name: string;
    readonly signature: string;
    readonly param: ParameterSchema;
    constructor(location: SchemaLocation, name: string, param: ParameterSchema, signature: string);
    getSignature(): string;
    toString(): string;
    toFullSignature(options?: {
        showDocs?: boolean;
    }): string;
    toObject(): {
        name: string;
        param: {
            name: string;
            type: Record<string, any>;
            isOptional: boolean;
            defaultValue: any;
            description: string | undefined;
            objectBindingNodes: Record<string, any>[] | undefined;
            isSpread: boolean;
        };
        signature: string;
    };
    static fromObject(obj: Record<string, any>): SetAccessorSchema;
}
