"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TemplateLiteralTypeSpanSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _schemaRegistry() {
  const data = require("../schema-registry");
  _schemaRegistry = function () {
    return data;
  };
  return data;
}
class TemplateLiteralTypeSpanSchema extends _schemaNode().SchemaNode {
  constructor(location, literal, type) {
    super();
    this.location = location;
    this.literal = literal;
    this.type = type;
  }
  getNodes() {
    return [this.type];
  }
  toString(options) {
    return `${this.type.toString(options)} ${this.literal}`;
  }
  toFullSignature(options) {
    return `${this.type.toFullSignature(options)} ${this.literal}`;
  }
  toObject() {
    return {
      ...super.toObject(),
      literal: this.literal,
      type: this.type.toObject()
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const literal = obj.literal;
    const type = _schemaRegistry().SchemaRegistry.fromObject(obj.type);
    return new TemplateLiteralTypeSpanSchema(location, literal, type);
  }
}
exports.TemplateLiteralTypeSpanSchema = TemplateLiteralTypeSpanSchema;

//# sourceMappingURL=template-literal-type-span.js.map