"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TemplateLiteralTypeSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _templateLiteralTypeSpan() {
  const data = require("./template-literal-type-span");
  _templateLiteralTypeSpan = function () {
    return data;
  };
  return data;
}
class TemplateLiteralTypeSchema extends _schemaNode().SchemaNode {
  constructor(location, head, templateSpans) {
    super();
    this.location = location;
    this.head = head;
    this.templateSpans = templateSpans;
  }
  toString(options) {
    const spans = this.templateSpans.map(span => span.toString(options)).join('');
    return `${this.head}${spans}`;
  }
  toFullSignature(options) {
    const spans = this.templateSpans.map(span => span.toFullSignature(options)).join('');
    return `\`${this.head}${spans}\``;
  }
  toObject() {
    return {
      ...super.toObject(),
      head: this.head,
      templateSpans: this.templateSpans.map(span => span.toObject())
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const head = obj.head;
    const templateSpans = obj.templateSpans.map(span => _templateLiteralTypeSpan().TemplateLiteralTypeSpanSchema.fromObject(span));
    return new TemplateLiteralTypeSchema(location, head, templateSpans);
  }
}
exports.TemplateLiteralTypeSchema = TemplateLiteralTypeSchema;

//# sourceMappingURL=template-literal-type.js.map