"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TupleTypeSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _schemaRegistry() {
  const data = require("../schema-registry");
  _schemaRegistry = function () {
    return data;
  };
  return data;
}
class TupleTypeSchema extends _schemaNode().SchemaNode {
  constructor(location, elements) {
    super();
    this.location = location;
    this.elements = elements;
  }
  toString(options) {
    return `[${this.elements.map(elem => elem.toString(options)).join(', ')}]`;
  }
  toFullSignature(options) {
    return `[${this.elements.map(elem => elem.toFullSignature(options)).join(', ')}]`;
  }
  toObject() {
    return {
      ...super.toObject(),
      elements: this.elements.map(elem => elem.toObject())
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const elements = obj.elements.map(elem => _schemaRegistry().SchemaRegistry.fromObject(elem));
    return new TupleTypeSchema(location, elements);
  }
}
exports.TupleTypeSchema = TupleTypeSchema;

//# sourceMappingURL=tuple-type.js.map