"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TypeOperatorSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _schemaRegistry() {
  const data = require("../schema-registry");
  _schemaRegistry = function () {
    return data;
  };
  return data;
}
class TypeOperatorSchema extends _schemaNode().SchemaNode {
  constructor(location, name, type) {
    super();
    this.location = location;
    this.name = name;
    this.type = type;
  }
  getNodes() {
    return [this.type];
  }
  toString(options) {
    return `${this.name} ${this.type.toString(options)}`;
  }
  toFullSignature(options) {
    return `${this.name} ${this.type.toFullSignature(options)}`;
  }
  toObject() {
    return {
      ...super.toObject(),
      name: this.name,
      type: this.type.toObject()
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const name = obj.name;
    const type = _schemaRegistry().SchemaRegistry.fromObject(obj.type);
    return new TypeOperatorSchema(location, name, type);
  }
}
exports.TypeOperatorSchema = TypeOperatorSchema;

//# sourceMappingURL=type-operator.js.map