"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TypeUnionSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
function _schemaRegistry() {
  const data = require("../schema-registry");
  _schemaRegistry = function () {
    return data;
  };
  return data;
}
class TypeUnionSchema extends _schemaNode().SchemaNode {
  constructor(location, types) {
    super();
    this.location = location;
    this.types = types;
  }
  toString(options) {
    return `${this.types.map(type => type.toString(options)).join(' | ')}`;
  }
  toFullSignature(options) {
    const typeSignatures = this.types.map(type => type.toFullSignature(options));
    let signature = typeSignatures.join(' | ');
    if (options?.showDocs && this.doc) {
      const docString = this.doc.toFullSignature();
      signature = `${docString}\n${signature}`;
    }
    return signature;
  }
  getNodes() {
    return this.types;
  }
  toObject() {
    return {
      ...super.toObject(),
      types: this.types.map(type => type.toObject())
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const types = obj.types.map(type => _schemaRegistry().SchemaRegistry.fromObject(type));
    return new TypeUnionSchema(location, types);
  }
}
exports.TypeUnionSchema = TypeUnionSchema;

//# sourceMappingURL=type-union.js.map