"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnImplementedSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
class UnImplementedSchema extends _schemaNode().SchemaNode {
  displaySchemaName = 'Unimplemented Schemas';
  constructor(location, name, type) {
    super();
    this.location = location;
    this.name = name;
    this.type = type;
  }
  toString() {
    return `<<unimplemented schema ${this.name} of type ${this.type}>>`;
  }
  toFullSignature() {
    return `<<unimplemented schema ${this.name} of type ${this.type}>>`;
  }
  toObject() {
    return {
      ...super.toObject(),
      type: this.type
    };
  }
  static fromObject(obj) {
    const location = obj.location;
    const name = obj.name;
    const type = obj.type;
    return new UnImplementedSchema(location, name, type);
  }
}
exports.UnImplementedSchema = UnImplementedSchema;

//# sourceMappingURL=unimplemented-schema.js.map