"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnresolvedSchema = void 0;
function _schemaNode() {
  const data = require("../schema-node");
  _schemaNode = function () {
    return data;
  };
  return data;
}
/**
 * needed for cases when the exported entity could not be resolved.
 * e.g. exporting mdx variables in the main index.ts file.
 */
class UnresolvedSchema extends _schemaNode().SchemaNode {
  constructor(location, name) {
    super();
    this.location = location;
    this.name = name;
  }
  toString() {
    return this.name;
  }
  toFullSignature() {
    return this.toString();
  }
  toObject() {
    return super.toObject();
  }
  static fromObject(obj) {
    const location = obj.location;
    const name = obj.name;
    return new UnresolvedSchema(location, name);
  }
}
exports.UnresolvedSchema = UnresolvedSchema;

//# sourceMappingURL=unresolved-schema.js.map